Leave request detail + status timeline
curl --request GET \
--url https://app.ontime.hosai.app/api/leave/requests/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.ontime.hosai.app/api/leave/requests/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.ontime.hosai.app/api/leave/requests/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"employeeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"employeeName": "<string>",
"employeeCode": "<string>",
"leaveTypeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"leaveTypeCode": "<string>",
"leaveTypeName": "<string>",
"colorTone": "neutral",
"fromDate": "<string>",
"toDate": "<string>",
"duration": "FullDay",
"workingDays": 123,
"reason": "<string>",
"backupEmployeeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"backupName": "<string>",
"balanceAfter": 123,
"status": "PendingManager",
"requiresHrApproval": true,
"managerDecisionBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"managerDecisionName": "<string>",
"managerDecidedAt": "<string>",
"hrDecisionBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"hrDecisionName": "<string>",
"hrDecidedAt": "<string>",
"decisionNote": "<string>",
"createdAt": "<string>",
"timeline": [
{
"key": "submitted",
"label": "<string>",
"state": "done",
"actorName": "<string>",
"at": "<string>",
"note": "<string>"
}
],
"context": {
"teamSize": 0,
"peakTeamOnLeave": 0,
"peakDeptOnLeave": 0,
"peakOrgOnLeave": 0,
"load": "ok",
"managerName": "<string>",
"priorSameType": 123,
"days": [
{
"date": "<string>",
"weekend": true,
"team": 0,
"dept": 0,
"org": 0
}
]
}
}Leave
Leave request detail + status timeline
Leave request detail + status timeline
GET
/
api
/
leave
/
requests
/
{id}
Leave request detail + status timeline
Authorizations
Issue keys in Settings → API. Send them as Authorization: Bearer ont_… (an X-Api-Key: ont_… header is also accepted). Session-cookie routes are used by the OnTime web apps and are shown for completeness.
Path Parameters
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Response
200 - application/json
Success
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Available options:
neutral, accent, ok, warn, bad, info Available options:
FullDay, FirstHalf, SecondHalf Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Available options:
PendingManager, ManagerApprovedPendingHR, Approved, Rejected Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Show child attributes
Show child attributes
Show child attributes
Show child attributes